package com.crm.manager.dao.repository;

import com.crm.rely.backend.core.pojo.table.UserGoogleEmailTable;
import com.crm.rely.backend.dao.repository.BaseRepository;
import org.springframework.data.jpa.repository.Lock;
import org.springframework.stereotype.Repository;

import javax.persistence.LockModeType;
import java.util.List;

@Repository
public interface UserGoogleEmailRepository extends BaseRepository<UserGoogleEmailTable> {

    @Lock(LockModeType.PESSIMISTIC_WRITE)
    UserGoogleEmailTable findFirstById(Long id);

    List<UserGoogleEmailTable> findAllByIdIn(List<Long> ids);

    UserGoogleEmailTable getFirstById(Long id);

    List<UserGoogleEmailTable> findByDelFlag(Integer delFlag);
}
